\\ Copyright 2020, 2021, 2022 Kevin Ryde
\\
\\ This file is free software; you can redistribute it and/or modify it
\\ under the terms of the GNU General Public License as published by the Free
\\ Software Foundation; either version 3, or (at your option) any later
\\ version.
\\
\\ This file is distributed in the hope that it will be useful, but
\\ WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
\\ or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
\\ for more details.
\\
\\ You should have received a copy of the GNU General Public License along
\\ with this file  See the file COPYING.  If not, see
\\ <http://www.gnu.org/licenses/>.

default(recover,0)
default(strictargs,1)
default(parisizemax,300*10^6);
read("../interv.gp");
read("../interv-wip.gp");
read("../test-helpers.gp");

{
  \\ MFH in A352741
flist=List([]);
z=!y=t=0; 
print("z = "z);
print("y = "y);
print("t = "t);
for(n=0, 1e4,
   if(! (t < y || y > abs(imag(z))),
      listput(flist,n);
      print1(n", "));
   t=y; y=abs(imag(z)); z*=1+I/abs(z));
}

\\ No, would need some trig ...

{
  \\ MFH in A352741
tlist=List([]);
z_interv = [1,];
y_interv = [0,0]
t_interv = [0,0]
for(n=0, 1e4,
   if(! (interv_lt(x,y) || interv_lt(abs(imag(z)),y)),
      listput(flist,n);
      print1(n", "));
   t=y;
   y = abs(imag(z));
   z* = 1+I/abs(z));
}